package org.dromara.system.service.common;

import org.dromara.common.core.domain.AjaxResult;
import org.dromara.common.core.domain.R;
import org.dromara.system.domain.FormalTeacherClass;

/**
 * @Author: tjf
 * @Date: 2023/8/21 10:21
 * @Describe:
 */
public interface IAppletService {
    public R<Void> xiake(FormalTeacherClass formalTeacherClass);
    public AjaxResult index(FormalTeacherClass formalTeacherClass);
    public AjaxResult indexList(FormalTeacherClass formalTeacherClass);

    AjaxResult pcStatistics();

    AjaxResult pcClassStudentNum();
    /**
     *首页统计今日准时放学/延迟放学/本周发布文章
     */
    AjaxResult fangXueStatistics();
}
